<?php 
header("Content-Type: application/javascript");
header("Cache-Control: max-age=604800, public");

include('./functions.php');

$buld_html = file_get_contents('./index.build.html');

$script='';
$scripts = [];
$styles = [];
preg_match_all('/<script src="(.*?)"/', $buld_html, $scripts);
preg_match_all('/<link href="(.*?)"/', $buld_html, $styles); 
preg_match_all('/<script>(.*?)<\/script>/', $buld_html, $script);

$scripts = (ixxet($scripts[1])) ? $scripts[1] : [];
$styles = (ixxet($styles[1])) ? $styles[1] : [];
$main_script = (ixxet($script[1][0])) ? $script[1][0] : '';

if($main_script) {
    file_put_contents('./static/main.js', $main_script);
}

$dir = pathinfo(current_page_url())['dirname'];

ob_start();
?>
<!-- STARTCRIPT --><script>


(function () {

    let engyjClientID = window.egyjClientID;

    const appendScript = (url, target = 'head', onload = null) => {
        var script = document.createElement("SCRIPT");
        script.src = url;
        script.type = 'text/javascript';
        script.onload = onload;
        document.getElementsByTagName(target)[0].appendChild(script);
    }

    const appendStyle = (url) => {
        var style = document.createElement("LINK");
        style.href = url;
        style.rel = 'stylesheet'; 
        document.getElementsByTagName("head")[0].appendChild(style);
    }
    
    // const engyjify = () => {
        // $(document).ready(function(){
         window.addEventListener('load', function(){
            
            let body = document.getElementsByTagName('body')[0]
            let engyjWidget =  document.createElement('div');
            body.appendChild(engyjWidget);
            engyjWidget.id = 'engyjChatWidgetRoot'

            // $('body').append($('<div />').attr('id','engyjChatWidgetRoot'));
            appendScript( '<?= $dir . '/static/main.js'; ?>', 'body', function () { });  

            <?php  foreach($styles as $style) { ?>
            appendStyle( '<?= $dir . $style; ?>'); 
            <?php } ?>

            <?php  foreach($scripts as $script) { ?>
            appendScript( '<?= $dir . $script; ?>', 'body', function () { }); 
            <?php } ?> 

        });
    // }

    // if (typeof window.jQuery === 'undefined') {
    //     appendScript( 'https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js', 'head', function () { 
    //         engyjify(window.jQuery);
    //     }); 
    // }
})();


</script><!-- ENDSCRIPT -->
<?php 
$output = ob_get_contents();
ob_end_clean();
$output = str_replace('<!-- STARTCRIPT --><script>', '', $output);
$output = str_replace('</script><!-- ENDSCRIPT -->', '', $output);
echo trim($output);